AladiaDocs
Api referenceProfiles

Search profiles

GET
/v2/profiles/search
AuthorizationBearer <token>

In: header

Query Parameters

next?string
prev?string
sortBy?string
sortDirection?string

Value in

  • "desc"
  • "asc"
firstName*string
lastName*string
email*string
username*string
ids*array<string>
scope*string

Value in

  • "course"
  • "space"
  • "chat-room"
  • "calendar"
  • "organization"
  • "event"
  • "subjects-area"
  • "subject"
  • "book-library"
scopeId*string
followSuggestion*boolean
type*string

Value in

  • "teacher"
  • "user"
  • "admin"
text*string
featuredUsers*boolean
country*string
city*string
state*string
skill*string
jobRole*string
companyName*string
degree*string
online*boolean
certificateName*string
organizationId*string
includeFollower*boolean
courseIds?array<string>
calendarIds?array<string>

Response Body

application/json

curl -X GET "https://example.com/v2/profiles/search?firstName=string&lastName=string&email=string&username=string&ids=string&scope=course&scopeId=string&followSuggestion=true&type=teacher&text=string&featuredUsers=true&country=string&city=string&state=string&skill=string&jobRole=string&companyName=string&degree=string&online=true&certificateName=string&organizationId=string&includeFollower=true"
{  "data": [    "string"  ],  "cursor": {    "next": "string",    "prev": "string",    "totalItems": 0  }}